package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF461Data {

    private Map<String, Object> params;
    
    public MWF461Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsTyppobocka() {
        return (String) params.get("RS_TYPPOBOCKA");
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public String rsKategorie() {
        return (String) params.get("RS_KATEGORIE");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public String rsProfil() {
        return (String) params.get("RS_PROFIL");
    }

    public String rsAktivni() {
        return (String) params.get("RS_AKTIVNI");
    }

    public String rsEmitent() {
        return (String) params.get("RS_EMITENT");
    }

    public String rsRodina() {
        return (String) params.get("RS_RODINA");
    }

    public Double rsPoplatekvstup() {
        return (Double) params.get("RS_POPLATEKVSTUP");
    }

    public Double rsPoplateksprava() {
        return (Double) params.get("RS_POPLATEKSPRAVA");
    }

    public Double rsCojpl() {
        return (Double) params.get("RS_COJPL");
    }

    public java.util.Date rsCojpldatum() {
        return (java.util.Date) params.get("RS_COJPLDATUM");
    }

    public java.util.Date rsSplatnost() {
        return (java.util.Date) params.get("RS_SPLATNOST");
    }

    public String rsNakup() {
        return (String) params.get("RS_NAKUP");
    }

    public String rsProdej() {
        return (String) params.get("RS_PRODEJ");
    }

    public String rsPrestup() {
        return (String) params.get("RS_PRESTUP");
    }

    public java.util.Date rsObchoddennakup() {
        return (java.util.Date) params.get("RS_OBCHODDENNAKUP");
    }

    public java.util.Date rsObchoddenprodej() {
        return (java.util.Date) params.get("RS_OBCHODDENPRODEJ");
    }

    public java.util.Date rsObchoddenprestup() {
        return (java.util.Date) params.get("RS_OBCHODDENPRESTUP");
    }

    public Double rsCojplczk() {
        return (Double) params.get("RS_COJPLCZK");
    }

    public Double rsPocetksCelkem() {
        return (Double) params.get("RS_POCETKS_CELKEM");
    }

    public Double rsPocetksDisponibilni() {
        return (Double) params.get("RS_POCETKS_DISPONIBILNI");
    }

    public Double rsPocetksBlokace() {
        return (Double) params.get("RS_POCETKS_BLOKACE");
    }

    public Double rsObjemCelkemCzk() {
        return (Double) params.get("RS_OBJEM_CELKEM_CZK");
    }

    public Double rsMinimalniinvestice() {
        return (Double) params.get("RS_MINIMALNIINVESTICE");
    }

    public String rsTechnickyucetcislo() {
        return (String) params.get("RS_TECHNICKYUCETCISLO");
    }

    public java.util.Date rsDatpocpremobd() {
        return (java.util.Date) params.get("RS_DATPOCPREMOBD");
    }

    public java.util.Date rsDatkonpremobd() {
        return (java.util.Date) params.get("RS_DATKONPREMOBD");
    }

    public java.util.Date rsDatpocpripobd() {
        return (java.util.Date) params.get("RS_DATPOCPRIPOBD");
    }

    public java.util.Date rsDatkonpripobd() {
        return (java.util.Date) params.get("RS_DATKONPRIPOBD");
    }

    public java.util.Date rsDatsplat() {
        return (java.util.Date) params.get("RS_DATSPLAT");
    }

    public Double rsSazbazakfix() {
        return (Double) params.get("RS_SAZBAZAKFIX");
    }

    public String rsSazbazakfloat() {
        return (String) params.get("RS_SAZBAZAKFLOAT");
    }

    public Double rsSazbapripfix() {
        return (Double) params.get("RS_SAZBAPRIPFIX");
    }

    public String rsSazbapremfloat() {
        return (String) params.get("RS_SAZBAPREMFLOAT");
    }

    public Double rsSazbapremfix() {
        return (Double) params.get("RS_SAZBAPREMFIX");
    }

    public String rsProspekt() {
        return (String) params.get("RS_PROSPEKT");
    }

    public String rsAtributobdobi() {
        return (String) params.get("RS_ATRIBUTOBDOBI");
    }

    public String rsPremsazbasplneno() {
        return (String) params.get("RS_PREMSAZBASPLNENO");
    }

    public String rsSpecifickysymbol() {
        return (String) params.get("RS_SPECIFICKYSYMBOL");
    }

    public String rsTrhemise() {
        return (String) params.get("RS_TRHEMISE");
    }

    public String rsSkupinaemise() {
        return (String) params.get("RS_SKUPINAEMISE");
    }

    public String rsProdukt() {
        return (String) params.get("RS_PRODUKT");
    }

    public Long rsPocetdesetinnychmist() {
        return (Long) params.get("RS_POCETDESETINNYCHMIST");
    } 

}
